import request from '@/utils/request'

// 查询农专年报行政许可信息列表
export function listColleges(query) {
  return request({
    url: '/basicData/xcrAdministrativeLicensingAgriculturalColleges/findByPage',
    method: 'get',
    params: query
  })
}

// 查询农专年报行政许可信息详细
export function getColleges(xhCodeId) {
  return request({
    url: '/basicData/xcrAdministrativeLicensingAgriculturalColleges/' + xhCodeId,
    method: 'get'
  })
}

// 新增农专年报行政许可信息
export function addColleges(data) {
  return request({
    url: '/basicData/xcrAdministrativeLicensingAgriculturalColleges',
    method: 'post',
    data: data
  })
}

// 修改农专年报行政许可信息
export function updateColleges(data) {
  return request({
    url: '/basicData/xcrAdministrativeLicensingAgriculturalColleges',
    method: 'put',
    data: data
  })
}

// 删除农专年报行政许可信息
export function delColleges(xhCodeId) {
  return request({
    url: '/basicData/xcrAdministrativeLicensingAgriculturalColleges/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delCollegesBatch(ids) {
  return request.post('/basicData/xcrAdministrativeLicensingAgriculturalColleges/delete',ids)
}
